# SimpleAlert

[DEMO](https://dev.thiago.pro/simple-alert)

## Installation

Add this line to your application's Gemfile:

### Rails 5
```ruby
gem 'simple_alert'
```

### Rails 4
```ruby
gem 'simple_alert', '0.1.2'
```

In application.css

````css
 *= require simple_alert
````

In application.js

````javascript
//= require simple_alert
````

## Usage


```javascript
ba("This is a message!")
```
Call alert with title and message:

```javascript
ba("Hello!","This is a message!")
```
Callbacks functions:

```javascript
ba({
	title: "You are sure?",
	message: "You want delete this post?",
	onConfirm: function(){
		ba("Your post has been deleted.")
	},
	onClose: function(){
		ba("Your post is safe :)")
	}
})
```

Add class to butons:

```javascript
ba({
	message: "Adding css class to butons",
	closeClass: "btn_blue",
	confirmClass: "btn_red"
})
```

Change text from buttons

```javascript
ba({
	message: "Custom text",
	confirmText: "don't confirm that!",
	closeText: "close is safe"
})
```

Click on shadow to close alert

```javascript
ba({
	message: "Click on shadow to close",
	closeOnClickShadow: true
})
```

Set default class to close and confirm buttons

```javascript
SimpleAlert.bt_confirm_class = "btn btn-success"
SimpleAlert.bt_close_class   = "btn btn-default"
```

Dependencies
------------
- [js string include](https://dev.thiago.pro/js-string-include)
- [element queries](https://github.com/marcj/css-element-queries)
- [transit](http://ricostacruz.com/jquery.transit/)
- [topzindex](https://code.google.com/p/topzindex/)

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
